# Uses of Interface
org.opensaml.saml.saml1.core.Attribute

Packages that use Attribute
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of Attribute in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return types with arguments of type Attribute
Modifier and Type
Method
Description
`List<Attribute>`
AttributeStatement.`getAttributes()`
Get all the subsiduary Attribute elements.

## Uses of Attribute in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement Attribute
Modifier and Type
Class
Description
`class`
`AttributeImpl`
A Concrete implementation of the `Attribute` Interface.
Fields in org.opensaml.saml.saml1.core.impl with type parameters of type Attribute
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<Attribute>`
AttributeStatementImpl.`attributes`
Contains the Attributes (in order).
Methods in org.opensaml.saml.saml1.core.impl that return Attribute
Modifier and Type
Method
Description
`Attribute`
AttributeBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Attribute`
AttributeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type Attribute
Modifier and Type
Method
Description
`List<Attribute>`
AttributeStatementImpl.`getAttributes()`
Get all the subsiduary Attribute elements.